Subject: [FEniCS-dev] PeriodicBC / DirichletBC

From: Patrick Riesen <[email-masked]>
Date: Tue, 20 Jan 2009 16:35:33 +0100

hello!

The DirichletBC class permits to specify a boundary condition function 
to a subdomain by using the MeshFunction<uint> and the corresponding 
mark previously applied, whereas the PeriodicBC does only allow to 
create the boundary condition by handing the Subdomain object to the 
PeriodicBC class.
I would like to apply a periodic boundary condition in the same way as 
it is possible within the DirichletBC class, or in other words, how can 
I apply a Periodic BC condition to a subdomain which is marked by a 
MeshFunction<uint> and I have the corresponding function to apply?

Best regards,

Patrick